Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.DynamicAny
Class FieldNameHelper

    java.lang.Object
      org.omg.DynamicAny.FieldNameHelper

    public abstract class FieldNameHelper

extends Object

org/omg/DynamicAny/FieldNameHelper.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from ../../../../src/share/classes/org/omg/DynamicAny/DynamicAny.idl Wednesday, August 13, 2008 11:32:04 AM GMT-08:00

Constructor Summary
`FieldNameHelper()`

Method Summary
`static String` | `extract(Any a)`
`static String` | `id()`
`static void` | `insert(Any a, String that)`
`static String` | `read(InputStream istream)`
`static TypeCode` | `type()`
`static void` | `write(OutputStream ostream, String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FieldNameHelper

    public FieldNameHelper()

Method Detail

### insert

    public static void insert(Any a,
                              String that)

### extract

    public static String extract(Any a)

### type

    public static TypeCode type()

### id

    public static String id()

### read

    public static String read(InputStream istream)

### write

    public static void write(OutputStream ostream,
                             String value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2008 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.